<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Scan</title>
</head>
<script type="text/javascript" src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
<body>
<div>
    <script th:inline="javascript">
        // 扫码
        $(document).ready(function () {
            const uuid = [[${uuid}]];
            const userId = [[${userId}]];
            if (![[${scanned}]]) {
                alert("二维码已过期!");
            } else if (confirmAct()) {
                window.location.href = "http://localhost:8080/login/confirm/" + uuid + "/" + userId;
            }
        });

        // 确认登录
        function confirmAct() {
            if (confirm('确认登录?')) {
                alert("登录成功");
                return true;
            }
            return false;
        }
    </script>
    <!--    <p style="text-align: center;">-->
    <!--        <a href="" onclick="return confirmAct();">确认登录</a>-->
    <!--    </p>-->
    <!--    <script th:inline="javascript">-->
    <!--        const uuid = [[${uuid}]];-->
    <!--        const userId = [[${userId}]];-->
    <!--        document.getElementById("login").href = "http://localhost:8080/login/confirm/" + uuid + "/" + userId;-->
    <!--    </script>-->
</div>
</body>
</html>